- Qt 6.8
- Qt Network
- C++ Classes
- QNetworkAccessManager
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QNetworkAccessManager

The following members of class QNetworkAccessManager are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Protected Slots

`(deprecated)` QStringList | supportedSchemesImplementation() const

## Member Function Documentation

### `[protected slot, deprecated]` QStringList QNetworkAccessManager::supportedSchemesImplementation() const

This function is deprecated. We strongly advise against using it in new code.

Lists all the URL schemes supported by the access manager.

You should not call this function directly; use QNetworkAccessManager::supportedSchemes() instead.

Because of binary compatibility constraints, the supportedSchemes() method (introduced in Qt 5.2) was not virtual in Qt 5, but now it is. Override the supportedSchemes method rather than this one.

See also supportedSchemes().